# SubredditRelationship

class `praw.models.reddit.subreddit.``SubredditRelationship`(subreddit, relationship)

  Represents a relationship between a redditor and subreddit.

  Instances of this class can be iterated through in order to discover the Redditors that make up the relationship.

  For example, banned users of a subreddit can be iterated through like so:

      for ban in reddit.subreddit("redditdev").banned():
          print(f'{ban}: {ban.note}')

  `__call__`(redditor=None, **generator_kwargs)

    Return a `ListingGenerator` for Redditors in the relationship.

    Parameters

      redditor – When provided, yield at most a single `Redditor` instance. This is useful to confirm if a relationship exists, or to fetch the metadata associated with a particular relationship (default: None).

    Additional keyword arguments are passed in the initialization of `ListingGenerator`.

  `__init__`(subreddit, relationship)

    Create a SubredditRelationship instance.

    Parameters

      - subreddit – The subreddit for the relationship.

      - relationship – The name of the relationship.

  `add`(redditor, **other_settings)

    Add `redditor` to this relationship.

    Parameters

      redditor – A redditor name (e.g., `"spez"`) or `Redditor` instance.

  `remove`(redditor)

    Remove `redditor` from this relationship.

    Parameters

      redditor – A redditor name (e.g., `"spez"`) or `Redditor` instance.